/*
 * simple example of using a Spin object from C
 * compile with
 *   flexspin -2 demo_2.c
 */

/* include the Spin object as a C "class" */
/* note that this includes a subobject "jm_nstr" which must
   be present, but is included automatically */
struct __using("jm_serial.spin2") jmx;

int main() {
    // start up at 230_400 baud    
    jmx.start(230400);
    // send a string out
    jmx.str("Hello from Spin/C!\n");
    // the case of Spin2 method names doesn't matter
    jmx.Str("Goodbye...\n");
    
    return 0;
}
